import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    token: 0,
    user_id: null,
    userinfo: {},
    is_login:false
  },
  mutations: {
    set_token(state, token) {
      state.token = token
      state.is_login = true
    }
  }
})
